org.bdgenomics.cannoli.cli

# BcftoolsNormArgs

###
Related Doc: package cli

#### class BcftoolsNormArgs extends BcftoolsNormFnArgs with ADAMSaveAnyArgs with ParquetArgs

Bcftools norm command line arguments.

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, BcftoolsNormFnArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. BcftoolsNormArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. BcftoolsNormFnArgs
7. Args4jBase
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new BcftoolsNormArgs()

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### var addFiles: Boolean

   Definition Classes
     BcftoolsNormFnArgs

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### var asSingleFile: Boolean

   Definition Classes
     BcftoolsNormArgs → ADAMSaveAnyArgs

7. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### var compressionCodec: CompressionCodecName

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### var deferMerging: Boolean

    Definition Classes
      BcftoolsNormArgs → ADAMSaveAnyArgs

11. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

12. #### var disableFastConcat: Boolean

    Definition Classes
      BcftoolsNormArgs → ADAMSaveAnyArgs

13. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

14. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

15. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

16. #### var executable: String

    Definition Classes
      BcftoolsNormFnArgs

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

19. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

20. #### var image: String

    Definition Classes
      BcftoolsNormFnArgs

21. #### var inputPath: String

22. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

23. #### var logLevel: String

    Definition Classes
      ParquetArgs

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### var outputPath: String

    Definition Classes
      BcftoolsNormArgs → SaveArgs

28. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

29. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

30. #### var referencePath: String

    Definition Classes
      BcftoolsNormFnArgs

31. #### var sortFastqOutput: Boolean

    Definition Classes
      BcftoolsNormArgs → ADAMSaveAnyArgs

32. #### var stringency: String

33. #### var sudo: Boolean

    Definition Classes
      BcftoolsNormFnArgs

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    Definition Classes
      AnyRef → Any

36. #### var useDocker: Boolean

    Definition Classes
      BcftoolsNormFnArgs

37. #### var useSingularity: Boolean

    Definition Classes
      BcftoolsNormFnArgs

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from BcftoolsNormFnArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped